aboutsummaryrefslogtreecommitdiffstats
path: root/src/orchestrator/scripts/start-dev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/orchestrator/scripts/start-dev.sh')
-rwxr-xr-xsrc/orchestrator/scripts/start-dev.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/orchestrator/scripts/start-dev.sh b/src/orchestrator/scripts/start-dev.sh
new file mode 100755
index 00000000..c97451a6
--- /dev/null
+++ b/src/orchestrator/scripts/start-dev.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright 2020 Intel Corporation.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source _functions.sh
+
+#
+# Start from compiled binaries to foreground. This is usable for development use.
+#
+source /etc/environment
+opath="$(git rev-parse --show-toplevel)"/src/orchestrator
+
+stop_all
+start_mongo
+start_etcd
+
+echo "Compiling source code"
+pushd $opath
+generate_config
+make all
+./orchestrator
+popd